> ## Documentation Index
> Fetch the complete documentation index at: https://docs.selcor.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Call Stats

> Aggregated call statistics for a location.



## OpenAPI

````yaml https://api.selcor.ai/v1/openapi.json get /v1/voice/calls/stats
openapi: 3.1.0
info:
  title: Selcor Partner API
  version: 0.1.0
  description: API for managing workspaces, locations, voice agents, and relay executions.
servers:
  - url: https://api.selcor.ai
    description: Production
security:
  - bearerAuth: []
paths:
  /v1/voice/calls/stats:
    get:
      tags:
        - Calls
      summary: Get Call Stats
      description: Aggregated call statistics for a location.
      parameters:
        - schema:
            type: string
            example: clxyz123
          required: true
          name: location_id
          in: query
        - schema:
            type: string
            example: '2025-01-01T00:00:00Z'
          required: false
          name: since
          in: query
      responses:
        '200':
          description: Call statistics
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CallStats'
      security:
        - bearerAuth: []
components:
  schemas:
    CallStats:
      type: object
      properties:
        data:
          type: object
          properties:
            since:
              type: string
            total:
              type: number
            avg_duration_seconds:
              type: number
            by_status:
              type: object
              additionalProperties:
                type: number
            by_category:
              type: object
              additionalProperties:
                type: number
            by_sentiment:
              type: object
              additionalProperties:
                type: number
          required:
            - since
            - total
            - avg_duration_seconds
            - by_status
            - by_category
            - by_sentiment
        request_id:
          type: string
      required:
        - data
        - request_id
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'API key in format: sk_live_...'

````